Bug 1026854 - [RHSC][scale-test] Volume Create Error "Another transaction is in progress" [NEEDINFO]
[RHSC][scale-test] Volume Create Error "Another transaction is in progress"
Status: CLOSED NOTABUG
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
2.1
Unspecified Unspecified
medium Severity medium
: ---
: RHGS 2.1.2
Assigned To: Shubhendu Tripathi
Sudhir D
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-05 09:28 EST by Matt Mahoney
Modified: 2015-05-13 12:29 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 06:56:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmahoney: needinfo+
shtripat: needinfo? (mmahoney)


Attachments (Terms of Use)
Volume Create Error (2.96 MB, application/x-gzip)
2013-11-05 09:28 EST, Matt Mahoney
no flags Details

  None (edit)
Description Matt Mahoney 2013-11-05 09:28:10 EST
Created attachment 819800 [details]
Volume Create Error

Description of problem:
During a 4-user concurrency test, volume create error occurred twice during the test testing session:

ERROR - Error while executing action Create Gluster Volume: Volume create failed error: Another transaction is in progress_ Please try again after sometime_ return code: -1

Note: Each of the 4-users were creating volumes on different clusters.

Version-Release number of selected component (if applicable):
Big Bend

How reproducible:


Steps to Reproduce:
1. Two+ users concurrently creating volumes.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Sahina Bose 2013-11-08 01:06:20 EST
I don't see any errors in logs, however the error message indicates that this is an error thrown from gluster preventing concurrent operations.
Comment 3 Shubhendu Tripathi 2013-11-20 06:02:21 EST
Matt, can you share the setup details how the concurrent volume creation is being tried out.
I would like to simulate the issue using the same.
Comment 5 Shubhendu Tripathi 2013-11-26 09:13:44 EST
Matt,

I was able to add four volumes from four different browser sessions simultaneously without any error in a single cluster. It correctly tries acquiring the lock for creation of volume and messages can be seen in engine.log.

Let me know if you used any other mechanism for firing the parallel creation of volumes.

Also as mentioned by Sahina, the error message mentioned in the bug description is from GLUSTER which gets propagated to VDSM and then to engine UI. So in some race condition if gluster gives that error during volume creation, the same is being displayed properly in UI which is expected behaviour.

May be try simulating once the issue once more and let me know if some other way of parallel volume creation is used here.

Note You need to log in before you can comment on or make changes to this bug.